:root {
    --deep-sky-blue: var(--wp--preset--color--deep-sky-blue);
    --linen: var(--wp--preset--color--linen);
    --medium-aquamarine: var(--wp--preset--color--medium-aquamarine);
    --medium-purple: var(--wp--preset--color--medium-purple);
    --medium-slate-blue: var(--wp--preset--color--medium-slate-blue);
    --medium-turquoise: var(--wp--preset--color--medium-turquoise);
    --midnight-blue: var(--wp--preset--color--midnight-blue);
    --salmon: var(--wp--preset--color--salmon);
    --sandy-brown: var(--wp--preset--color--sandy-brown);
    --steel-blue: var(--wp--preset--color--steel-blue);
    --yellow: var(--wp--preset--color--yellow);

    --desktop-container-width: 84%;
}

@font-face {
    font-family: 'Gazpacho';
    src: url('gazpacho-heavy-webfont.woff2') format('woff2'),
         url('gazpacho-heavy-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

html,
body {
    font-size: 16px;
    overflow-x: hidden;
}

a {
    text-decoration: none;
}

body {
    background-color: var(--linen);
    font-family:"Museo Sans";
    font-size: 1rem;
    font-weight: 400;
}

button {
    --color-: var(--steel-blue);
    cursor: pointer;

    &.standard {
        padding: 0.625rem;
        background: transparent;
        border-style: solid;
        border-width: 9px;
        text-align: center;
        font-family: "Museo Sans";
        font-size: 1rem;
        font-style: normal;
        font-weight: 700;
        line-height: 120%;
        text-transform: uppercase;
        transition: all 200ms ease-in;

        &.yellow {
            border-color: var(--yellow);
            color: var(--yellow);

            &:hover {
                background-color: var(--yellow);
                color: #47505C;
            }
        }
    }
}

header {
    position: fixed;
    z-index: 50;
    left: 0;
    top: 0;
    width: 100%;
}

h1, h2, h3, h4, h5 {
    margin: 0;
}

.logo-container {

    a {
        display: flex;
        align-items: flex-end;
        gap: 16px;
    }

    .motto {

        .line {
            font-family: "Museo Sans";
            font-size: 0.5625rem;
            font-style: normal;
            font-weight: 400;
            line-height: 120%;
            text-transform: uppercase;

            &:last-child {
                font-weight: 600;
            }
        }
    }
}

.top-group {
    padding-top: 19px;
    background-color: #fff;

    @media (min-width: 768px) {
        padding-top: 38px;
    }
}

.wp-block-site-header .logo-container img {
    max-width: 150px;

    @media (min-width: 768px) {
        max-width: 220px;
    }
}

.wp-block-site-footer .logo-container img {
    max-width: 148px;

    @media (min-width: 1024px) {
        max-width: 198px;
    }
}

.section-label {
    color: #000;
    font-family: "Museo Sans";
    font-size: 1rem;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
    text-transform: uppercase;
}

.row-full {
    width: var(--desktop-container-width);
    margin: 0 auto;

    &.is-layout-flex {
        display: block;

        @media (min-width: 1200px) {
            display: flex;
        }
    }
}

.row-7030 {
    width: var(--desktop-container-width);
    margin: 0 auto;
    gap: 21px;

    .wp-block-column:nth-child(1) {
        flex: 68%;
    }

    .wp-block-column:nth-child(2) {
        flex: 33%;
    }
}

.two-column-layout {

    .wp-block-column {

        &:nth-child(2) {
            margin-top: 50px;

            @media (min-width: 1200px) {
                margin-top: 0;
                border-left: 1px solid #c9c9c9;
            }

            & > div:nth-child(1n + 2) {
                margin-top: 38px;
                padding-top: 38px;
                border-top: 1px solid #c9c9c9;
            }
        }
    }

    .wp-block-icon-pattern {
        display: none;

        @media (min-width: 1200px) {
            display: grid;
        }
    }
}

.single-post {
    color: #141B34;
    font-family: "Museo Sans";
    font-size: 1.25rem;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;

    .post-content-container {
        width: var(--desktop-container-width);
        margin: 0 auto;

        @media (min-width: 1024px) {
            width: 62%;
        }
    }

    a {
        color: var(--steel-blue);
    }

    p {
        margin: 1rem 0;
    }

    .wp-block-post-title {
        margin-left: 0 !important;
        margin-right: 0 !important;
        color: #000;
        font-family: "Museo Sans";
        font-size: 1.875rem;
        font-style: normal;
        font-weight: 600;
        line-height: 120%; /* 48px */

        @media (min-width: 768px) {
            font-size: 2.5rem;
        }
    }

    .wp-block-post-featured-image {
        margin: 52px 0;
    }

    .entry-content {
        width: 94%;
        margin-left: 0 !important;
        margin-right: 0 !important;
    }
}

.auto-icon-pattern {
    position: relative;
    z-index: 1;
    display: grid;
    gap: 60px;
    overflow: hidden;
}

#signup-form {

    #mc_embed_signup {
        width: 600px;
        background-color: var(--linen);
        padding: 20px;
        font-family: "Museo Sans";
    }

    h2 {
        font-size: 1.5rem;
        font-weight: 600;
        line-height: 120%;
    }

    .indicates-required {
        display: none;
    }

    .mc-field-group {
        margin-top: 12px;

        label {
            display: block;
        }

        input {
            margin-top: 6px;
            padding: 6px;
            font-size: 1.25rem;
        }
    }

    #mce-responses {
        margin-top: 12px;
    }

    input[type="submit"] {
        margin-top: 12px;
        padding: 0.625rem;
        background: transparent;
        border-style: solid;
        border-width: 9px;
        border-color: var(--deep-sky-blue);
        text-align: center;
        font-family: "Museo Sans";
        font-size: 1rem;
        font-style: normal;
        font-weight: 700;
        line-height: 120%;
        text-transform: uppercase;
        cursor: pointer;
        transition: all 200ms ease-in;

        &:hover {
            background-color: var(--deep-sky-blue);
            color: var(--linen);
        }
    }

    .logo-panel {
        margin: 24px 0 0 0;
        text-align: center;
    }
}

.wp-block-page-not-found {

    .inner-container {
        padding: 200px 0 100px 0;
    }

    .headline {
        color: var(--deep-sky-blue);
        font-family: Gazpacho;
        font-size: 2rem;
        font-style: normal;
        font-weight: 900;
        line-height: 120%;

        @media (min-width: 768px) {
            font-size: 5rem;
        }

        @media (min-width: 1024px) {
            font-size: 7.5rem;
        }
    }

    .body {
        width: 80%;
        margin: 0 auto;
        color: #141B34;
        text-align: center;
        font-family: "Museo Sans";
        font-size; 1rem;
        font-style: normal;
        font-weight: 600;
        line-height: 120%;

        @media (min-width: 768px) {
            font-size: 1.5rem;
        }

        a {
            color: var(--deep-sky-blue);
        }
    }
}
